/*
 * GccApplication2.c
 *
 * Created: 5/23/2014 2:35:41 PM
 *  Author: Iulian1
 */ 

#include <avr/io.h>

#define TIMER1_COMPARE_VALUE   0x0700u

#define DDR_BUTTON             DDRC
#define PORT_BUTTON            PORTC
#define PIN_BUTTON             PINC
#define BUTTON0                PC0

#define DDR_LED                DDRD
#define PORT_LED               PORTD
#define LED0                   PD7

#define DDR_PROXIM             DDR_BUTTON
#define PORT_PROXIM            PORT_BUTTON
#define PIN_PROXIM             PIN_BUTTON
#define PROXIM0                BUTTON0

#define DDR_WHEEL0             DDRC
#define PORT_WHEEL0            PORTC
#define WHEEL0_ENB             PC1
#define WHEEL0_FWD             PC3
#define WHEEL0_REV             PC5

#define DDR_WHEEL1             DDRD
#define PORT_WHEEL1            PORTD
#define WHEEL1_ENB             PD1
#define WHEEL1_FWD             PD3
#define WHEEL1_REV             PD5

#define B(N)                   (1u << (N))

int main(void)
{
	DDR_WHEEL0   |= B(WHEEL0_FWD) | B(WHEEL0_REV);
	DDR_WHEEL1   |= B(WHEEL1_FWD) | B(WHEEL1_REV);   
	
	PORTC = PORTC ^ (1 << PC1);
	PORTC = PORTC ^ (1 << PC3);
	PORTC = PORTC ^ (0 << PC5);
	
	
	PORTD = PORTD ^ (1 << PD1);
	PORTD = PORTD ^ (1 << PD3);
	PORTD = PORTD ^ (0 << PD5);
	
    while(1)
    {
        //TODO:: Please write your application code 
    }
}